<nav class="navigation-container">
  <span class="logo"><a routerLink="/" routerLinkActive="active">U-PHOTO</a></span>
  <ul class="navigation-links">
    <ng-container *ngIf="accountService.currentUser$ | async">
      <li class="navigation-links__item"><a routerLink="/editor" routerLinkActive="active">My Photos</a></li>
      <li class="navigation-links__item"><a routerLink="/members" routerLinkActive="active">Members</a></li>
      <li class="navigation-links__item"><a routerLink="/profile" routerLinkActive="active">My Profile</a></li>
      <li class="navigation-links__item"><a routerLink="/admin" routerLinkActive="active">Admin Panel</a></li>
    </ng-container>
  </ul>
  <div class="navigation-welcome" *ngIf="(accountService.currentUser$ | async) as user">
    <img src="{{user.profilePhotoUrl || './assets/user.png'}}" alt="{{user.fullName}}' avatar">
    Welcome, {{(user.fullName || user.username) | titlecase}}!
    <button class="navigation-button" (click)="logout()">Logout</button>
  </div>
  <form *ngIf="(accountService.currentUser$ | async) === null"
        class="navigation-form"
        #loginForm="ngForm"
        (ngSubmit)="login()"
        autocomplete="off">
    <input
      class="navigation-input"
      type="text"
      name="username"
      [(ngModel)]="model.username"
      placeholder="Username">
    <input
      class="navigation-input"
      type="password"
      name="password"
      [(ngModel)]="model.password"
      placeholder="Password">
    <button class="navigation-button" type="submit">Login</button>
  </form>
</nav>
